求助,使用Pkg出现问题。

我安装的版本是1.6.1Julia,当我想用 ] 来启用Pkg时,报错说 ] unexpected.
请知道怎么解决的大佬帮忙回答一下。谢谢!

image

sorry,下载时的版本是1.6.1,没注意打开了这个。

您好,按照PostSPH.jl所说的打开文件有两种方法,但是使用using PostSPH以及用Pkg的方法都无法使用,请问有什么解决办法吗?


要梯子要梯子要梯子

Julia在国内下载安装包通常需要挂梯子,成功率会高一点。您用“]"进入Pkg模式后,如需安装所需要的安装包,可以直接在”>"后面输入“add PackageName”,不需要再用括号和引号对PackageName进行处理

好的,谢谢您。如果我已经下载了PostSPH.jl文件,应该怎么去用它呢?
因为刚接触这个,所以问的问题可能很基础,希望您见谅。
这是文件的链接

直接 pkg> dev /your/path/to/PostSPH.jl 即可,但如果这个包有依赖的话,Welcome to the world of dependency hell.

谢谢您 :blush:

备案号:京ICP备17009874号-2